Accounts, Balances & Fees

Accounts

GET /api/v3/accounts/accounts

Query Parameters

ParameterTypeDescription
include_subaccountsboolif set true, all subaccounts for account are returned as well
private_api.accounts().accounts(include_subaccounts=True)

Accounts Response

[{
    "id": 123,
    "email": "[email protected]",
    "name": "John Doe"
}]

where: parent_id - present only for sub-accounts, indicates the ID of the master account

Account Balances

GET /api/v3/accounts/balances

private_api.accounts().balances()

Balances Response

[{
    "balance": 1000.0,
    "reserve": 500.0,
    "currency": "USDT",
    "wallet_type": "SPOT",
    "last_update_at": "2023-09-04T12:00:00Z",
    "account_id": 12345
}
...]

where: reserve - balance in open orders, pending withdraws, etc.

Fee Info

GET /api/v3/accounts/feeinfo

private_api.accounts().fees()

Fee Info Response

[{
    "account_id": 12345,
    "active_once": ["2023-09-04T12:00:00Z", "2023-09-05T12:00:00Z"],
    "taker_fee_rate": 0.002,
    "maker_fee_rate": 0.0015,
    "fee_currency": "USD",
    "priority": 1,
    "currency": null,
    "pair": null,
    "is_active": true
}...]

Response Fields

FieldTypeDescription
account_idintegeraccount ID
active_oncearray[valid_from, valid_to] as ISO8601 strings, null if unbounded
taker_fee_ratefloattaker fee rate
maker_fee_ratefloatmaker fee rate
fee_currencystringcurrency code for fee payment, null if default
priorityintegerrule priority
currencyintegercurrency ID filter, null if applies to all
pairintegerpair ID filter, null if applies to all
is_activebooleanwhether the rule is active